shishi_tkts_from_ccache_mem(3)

NAME
shishi_tkts_from_ccache_mem - API function

SYNOPSIS
#include <shishi.h>

int shishi_tkts_from_ccache_mem(Shishi * handle, const char * data, size_t len, Shishi_tkts ** outtkts);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

const char * data
    constant memory buffer with ccache of len size.

size_t len
    size of memory buffer with ccache data.

Shishi_tkts ** outtkts
    pointer to ticket set that will be allocated and populated, must be deallocated by caller on succes.

DESCRIPTION
Read tickets from a ccache data structure, and add them to the ticket set.

The ccache format is proprietary, and this function support (at least) the 0x0504 format. See the section The Credential Cache Binary File Format in the Shishi manual for a description of the file format.

RETURNS
Returns SHISHI_CCACHE_ERROR if the data does not represent a valid ccache structure, and SHISHI_OK on success.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.